<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php if ($_SERVER["REQUEST_METHOD"] != "POST"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Editar Categoria de Loja", "active_page" => "categorias"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>

<?php 

	$id_categoria_loja = (int) encrypt_decode(filter_input(INPUT_POST, "id_categoria_loja", FILTER_SANITIZE_STRING));

	$model = new Model();

	$result = $model->query("
		SELECT * FROM categoria_loja 
		WHERE 
			id_categoria_loja = :id AND 
			status_categoria_loja = 'S'
	", [
		":id" => $id_categoria_loja
	]);

	$dados = $result->fetch();

?>

<h4 class="mb-3">
	<i class="fa-regular fa-edit"></i> Editar Categoria de Loja
</h4>

<div class="content-box">
	<form id="form-categoria-loja">
		<div class="form-row">
			<div class="col-md-6">
				<div class="form-group">
					<label for="nome-categoria-loja">Nome<span class="text-danger">*</span></label>
					<input type="text" name="nome_categoria_loja" id="nome-categoria-loja" class="form-control" value="<?php echo $dados->nome_categoria_loja; ?>" maxlength="120" required>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label for="icone-categoria-loja">Ícone<span class="text-danger">*</span></label>
					<input type="text" name="icone_categoria_loja" id="icone-categoria-loja" class="form-control" value="<?php echo $dados->icone_categoria_loja; ?>" maxlength="60" placeholder="Exemplo: fa-solid fa-home" required>
					<span class="form-text">Para consultar os icones <a href="https://fontawesome.com/v6/search" target="_blank">Clique aqui</a></span>
				</div>	
			</div>
		</div>
		
		<input type="hidden" name="id_categoria_loja" class="d-none" value="<?php echo encrypt_encode($id_categoria_loja); ?>">

		<button type="submit" class="btn btn-primary">
			<i class="fa-regular fa-save"></i> Salvar
		</button>

		<a href="<?php echo show_link("/categorias-lojas/"); ?>" class="btn btn-secondary">
			<i class="fa-regular fa-arrow-left"></i> Voltar
		</a>
	</form>
</div>

<script>
	$("#form-categoria-loja").submit(function(event){
		event.preventDefault();
		var form = $(this);
		$.ajax({
			type: "POST",
			data: form.serialize(),
			url: "<?php echo show_link("/editar-categoria-loja/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);
			if (result.status == true) {
				$.toast({
					heading: "Aviso",
					text: "Dados Atualizado com Sucesso!",
					icon: "success",
					loader: true
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Atualizar os Dados!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>